require 'cuke_parser'
require 'fileutils'
require 'rspec'

module CukeParserTest

	class JsonTest

		include RSpec::Matchers

		def initialize
			#nothing needed yet
		end
	
		def test_json_jenkins_list
			timestamp = "2013-04-22_03-01-25"
			location = "."
			result = CukeParser.json_jenkins_list(location,timestamp)
			output = File.open("result.txt","w+")
			result.each do |build|
				CukeParser.write_build(build,output)
			end
			output.close
			FileUtils.compare_file("result.txt","./results/json_jenkins_results.txt").should be_true
		end
		
		def test_json
			location = "./builds/2013-04-23_03-01-25/archive"
			result = CukeParser.json(location)
			#we need to overwrite the date because get_json_build just grabs Time.now as the date
			result.date = "2013-04-23"
			result.time = "03-01-25"
			#write our results to a text file
			output = File.open("result.txt","w+")
			CukeParser.write_build(result,output)
			output.close
			FileUtils.compare_file("result.txt","./results/json_results.txt").should be_true
		end
	end

end